API 레퍼런스

엔드포인트 112개

모든 엔드포인트는 JSON을 받으며 인증을 위해 X-API-Key 헤더가 필요합니다.

기본 URL과 헤더

기본 URL
https://horizon.pm/api/v1/app
X-API-Key
프로젝트 API 키입니다. 모든 요청에 함께 보내세요.

전체 API 레퍼런스 보기

엔드포인트

112개 중 112개
메서드경로기능URL 복사
GET/marketplace/limits거래소
GET/marketplace/rules거래소
GET/marketplace거래소
GET/marketplace/listings거래소
GET/marketplace/listings/{listingId}거래소
POST/marketplace/listings거래소
POST/marketplace/listings/{listingId}/buy거래소
POST/marketplace/listings/{listingId}/cancel거래소
GET/marketplace/operations/{operationId}거래소
POST/marketplace/listings/{listingId}/retry-return거래소
GET/chat/limits채팅 관리
POST/chat/channels/open채팅 관리
POST/chat/channels/{channelId}/sync채팅 관리
POST/chat/channels/{channelId}/messages채팅 관리
GET/chat/operations/{operationId}채팅 관리
POST/chat/channels/{channelId}/messages/{messageId}/report채팅 관리
GET/matches매치
GET/matches/limits매치
GET/matches/open매치
GET/matches/{matchId}매치
POST/matches매치
POST/matches/{matchId}/join매치
POST/matches/{matchId}/decline매치
POST/matches/{matchId}/start매치
POST/matches/{matchId}/turn매치
POST/matches/{matchId}/timeout매치
POST/matches/{matchId}/leave매치
POST/matches/{matchId}/cancel매치
POST/matches/{matchId}/result매치
POST/matches/{matchId}/ranked-run매치
GET/shared-objects/collections공유 객체
GET/shared-objects/{collection}/usage공유 객체
GET/shared-objects/{collection}/objects/{objectId}공유 객체
POST/shared-objects/{collection}/query공유 객체
POST/shared-objects/{collection}/objects공유 객체
PUT/shared-objects/{collection}/objects/{objectId}공유 객체
DELETE/shared-objects/{collection}/objects/{objectId}공유 객체
GET/items아이템
GET/items/catalog아이템
POST/items/adjust아이템
POST/items/equip아이템
POST/items/discard아이템
GET/groups그룹
GET/groups/{groupId}그룹
GET/groups/{groupId}/members그룹
GET/groups/{groupId}/pending그룹
POST/groups그룹
PUT/groups/{groupId}그룹
POST/groups/{groupId}/join그룹
POST/groups/{groupId}/request그룹
POST/groups/{groupId}/invite그룹
POST/groups/{groupId}/accept-invite그룹
POST/groups/{groupId}/decline-invite그룹
POST/groups/{groupId}/cancel-invite그룹
POST/groups/{groupId}/accept-request그룹
POST/groups/{groupId}/decline-request그룹
POST/groups/{groupId}/cancel-request그룹
POST/groups/{groupId}/leave그룹
POST/groups/{groupId}/remove그룹
POST/groups/{groupId}/role그룹
POST/groups/{groupId}/transfer그룹
POST/groups/{groupId}/delete그룹
POST/user-management/signup인증
POST/user-management/signin인증
POST/user-management/check-auth사용자
POST/user-management/change-name사용자
GET/friends친구
GET/friends/find친구
POST/friends/request친구
POST/friends/accept친구
POST/friends/decline친구
POST/friends/cancel친구
POST/friends/remove친구
POST/friends/block친구
POST/friends/unblock친구
GET/achievements업적
POST/achievements/unlock업적
POST/achievements/rewards/deliver업적
GET/inbox플레이어 우편함
POST/inbox/read플레이어 우편함
POST/inbox/claim플레이어 우편함
POST/inbox/remove플레이어 우편함
GET/statistics플레이어 통계
GET/statistics/definitions플레이어 통계
POST/statistics플레이어 통계
GET/player-values플레이어 값
GET/player-values/offers플레이어 값
POST/player-values/purchase플레이어 값
POST/player-values/adjust플레이어 값
GET/player-profile플레이어 프로필
PUT/player-profile플레이어 프로필
POST/leaderboard/submit리더보드
GET/leaderboards/{boardKey}/top리더보드
GET/leaderboards/{boardKey}/rank리더보드
GET/leaderboards/{boardKey}/around리더보드
POST/validated-actions/runs검증된 액션
POST/validated-actions/submit검증된 액션
POST/cloud-save/save클라우드 저장
POST/cloud-save/load클라우드 저장
GET/remote-config/{configKey}원격 구성
GET/remote-config/all원격 구성
GET/localization/{key}현지화
GET/localization/all현지화
GET/news뉴스
POST/gift-codes/validate기프트 코드
POST/gift-codes/redeem기프트 코드
POST/email-sending/send이메일 발송
GET/email-sending/{emailId}이메일 발송
POST/crash-reports/session크래시 리포트
POST/crash-reports/create크래시 리포트
POST/user-feedback/submit사용자 피드백
POST/user-logs/create사용자 로그

요청 예시

REST (curl)
Bash
1curl -X POST https://horizon.pm/api/v1/app/user-management/signup \
2 -H "Content-Type: application/json" \
3 -H "X-API-Key: horizon_YOUR_API_KEY_HERE" \
4 -d '{"type":"ANONYMOUS","username":"TestPlayer","includeRefreshToken":true}'